## r-cran-reformulas 0.4.0

=== DESCRIPTION ===
Package: reformulas
Title: Machinery for Processing Random Effect Formulas
Version: 0.4.0
Authors@R: 
    person(given = "Ben",
           family = "Bolker",
           role = c("aut", "cre"),
           email = "bolker@mcmaster.ca",
	   	           comment=c(ORCID="0000-0002-2127-0443"))
Description: Takes formulas including random-effects components (formatted as in 'lme4', 'glmmTMB', etc.) and processes them. Includes various helper functions.
URL: https://github.com/bbolker/reformulas
License: GPL-3
Encoding: UTF-8
Imports: stats, methods, Matrix, Rdpack
RdMacros: Rdpack
Suggests: lme4, tinytest
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2024-11-02 16:40:00 UTC; bolker
Author: Ben Bolker [aut, cre] (<https://orcid.org/0000-0002-2127-0443>)
Maintainer: Ben Bolker <bolker@mcmaster.ca>
Repository: CRAN
Date/Publication: 2024-11-03 05:30:11 UTC

=== debian/changelog ===
r-cran-reformulas (0.4.0-1) unstable; urgency=low

  * Initial Debian release 			(Closes: #1092789)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 11 Jan 2025 10:20:22 -0600

=== debian/control ===
Source: r-cran-reformulas
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.2), dh-r, r-cran-matrix, r-cran-rdpack
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-reformulas
Vcs-Git: https://salsa.debian.org/edd/r-cran-reformulas.git
Homepage: https://cran.r-project.org/package=reformulas

Package: r-cran-reformulas
Architecture: all
Depends: ${misc:Depends}, ${R:Depends}, r-cran-matrix, r-cran-rdpack
Suggests: r-cran-tinytest, r-cran-lme4
Description: GNU R package to work with random effects formulas
 Takes formulas including random-effects components (formatted as in 'lme4',
 'glmmTMB', etc.) and processes them. Includes various helper functions.

=== debian/watch ===
version=3
https://cloud.r-project.org/src/contrib/reformulas_([-\d\.]*)\.tar.gz

## r-cran-reformulas 0.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: reformulas
 Title: Machinery for Processing Random Effect Formulas
-Version: 0.4.0
+Version: 0.4.1
 Authors@R: 
     person(given = "Ben",
            family = "Bolker",
@@ -13,11 +13,11 @@
 Encoding: UTF-8
 Imports: stats, methods, Matrix, Rdpack
 RdMacros: Rdpack
-Suggests: lme4, tinytest
-RoxygenNote: 7.3.2
+Suggests: lme4, tinytest, glmmTMB
+RoxygenNote: 7.3.2.9000
 NeedsCompilation: no
-Packaged: 2024-11-02 16:40:00 UTC; bolker
-Author: Ben Bolker [aut, cre] (<https://orcid.org/0000-0002-2127-0443>)
+Packaged: 2025-04-30 21:25:01 UTC; bolker
+Author: Ben Bolker [aut, cre] (ORCID: <https://orcid.org/0000-0002-2127-0443>)
 Maintainer: Ben Bolker <bolker@mcmaster.ca>
 Repository: CRAN
-Date/Publication: 2024-11-03 05:30:11 UTC
+Date/Publication: 2025-04-30 22:10:02 UTC

=== debian/changelog ===
r-cran-reformulas (0.4.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 02 May 2025 14:11:01 -0500

r-cran-reformulas (0.4.0-2) unstable; urgency=medium

  * Source-only re-upload as needed for migration to testing

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 30 Mar 2025 08:11:01 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.2), dh-r, r-cran-matrix, r-cran-rdpack
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.0), dh-r, r-cran-matrix, r-cran-rdpack
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-reformulas
 Vcs-Git: https://salsa.debian.org/edd/r-cran-reformulas.git
 Homepage: https://cran.r-project.org/package=reformulas

## r-cran-reformulas 0.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: reformulas
 Title: Machinery for Processing Random Effect Formulas
-Version: 0.4.1
+Version: 0.4.2
 Authors@R: 
     person(given = "Ben",
            family = "Bolker",
@@ -16,8 +16,8 @@
 Suggests: lme4, tinytest, glmmTMB
 RoxygenNote: 7.3.2.9000
 NeedsCompilation: no
-Packaged: 2025-04-30 21:25:01 UTC; bolker
+Packaged: 2025-10-28 00:16:56 UTC; bolker
 Author: Ben Bolker [aut, cre] (ORCID: <https://orcid.org/0000-0002-2127-0443>)
 Maintainer: Ben Bolker <bolker@mcmaster.ca>
 Repository: CRAN
-Date/Publication: 2025-04-30 22:10:02 UTC
+Date/Publication: 2025-10-28 06:10:17 UTC

=== debian/changelog ===
r-cran-reformulas (0.4.2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 01 Nov 2025 10:40:36 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.0), dh-r, r-cran-matrix, r-cran-rdpack
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.2), dh-r, r-cran-matrix, r-cran-rdpack
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-reformulas
 Vcs-Git: https://salsa.debian.org/edd/r-cran-reformulas.git

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-reformulas package
# Copyright 2003 - 2025 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-reformulas 0.4.3

=== DESCRIPTION ===
Package: reformulas
Title: Machinery for Processing Random Effect Formulas
Version: 0.4.3
Authors@R: 
   c(
    person(given = "Ben",
	family = "Bolker",
        role = c("aut", "cre"),
        email = "bolker@mcmaster.ca",
	comment=c(ORCID="0000-0002-2127-0443")),
    person("Anna", "Ly", role = "ctb",
       comment = c(ORCID = "0000-0002-0210-0342"))
      )
Description: Takes formulas including random-effects components (formatted as in 'lme4', 'glmmTMB', etc.) and processes them. Includes various helper functions.
URL: https://github.com/bbolker/reformulas
License: GPL-3
Encoding: UTF-8
Imports: stats, methods, Matrix, Rdpack
RdMacros: Rdpack
Suggests: lme4, tinytest, glmmTMB
RoxygenNote: 7.3.3
NeedsCompilation: no
Packaged: 2025-12-16 14:14:04 UTC; bolker
Author: Ben Bolker [aut, cre] (ORCID: <https://orcid.org/0000-0002-2127-0443>),
  Anna Ly [ctb] (ORCID: <https://orcid.org/0000-0002-0210-0342>)
Maintainer: Ben Bolker <bolker@mcmaster.ca>
Repository: CRAN
Date/Publication: 2025-12-17 06:40:10 UTC

=== debian/changelog ===
r-cran-reformulas (0.4.3-2) unstable; urgency=medium

  * debian/watch: Use simpler regexp
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 24 Dec 2025 09:04:48 -0600

r-cran-reformulas (0.4.3-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 21 Dec 2025 19:11:55 -0600

=== debian/watch ===
version=3
https://cloud.r-project.org/src/contrib/reformulas_(.*)\.tar\.gz

## r-cran-reformulas 0.4.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: reformulas
 Title: Machinery for Processing Random Effect Formulas
-Version: 0.4.3
+Version: 0.4.3.1
 Authors@R: 
    c(
     person(given = "Ben",
@@ -17,12 +17,13 @@
 Encoding: UTF-8
 Imports: stats, methods, Matrix, Rdpack
 RdMacros: Rdpack
-Suggests: lme4, tinytest, glmmTMB
+Suggests: lme4, tinytest, glmmTMB, testthat (>= 3.0.0)
 RoxygenNote: 7.3.3
+Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2025-12-16 14:14:04 UTC; bolker
+Packaged: 2026-01-07 13:56:46 UTC; bolker
 Author: Ben Bolker [aut, cre] (ORCID: <https://orcid.org/0000-0002-2127-0443>),
   Anna Ly [ctb] (ORCID: <https://orcid.org/0000-0002-0210-0342>)
 Maintainer: Ben Bolker <bolker@mcmaster.ca>
 Repository: CRAN
-Date/Publication: 2025-12-17 06:40:10 UTC
+Date/Publication: 2026-01-08 06:10:11 UTC

=== debian/changelog ===
r-cran-reformulas (0.4.3.1-2) unstable; urgency=medium

  * debian/watch: Stick with version 4 for now

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 12 Jan 2026 17:39:51 -0600

r-cran-reformulas (0.4.3.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/watch: Increase version to 5

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 09 Jan 2026 07:05:13 -0600

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/reformulas_([-\d\.]*)\.tar\.gz

## r-cran-reformulas 0.4.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: reformulas
 Title: Machinery for Processing Random Effect Formulas
-Version: 0.4.3.1
+Version: 0.4.4
 Authors@R: 
    c(
     person(given = "Ben",
@@ -17,13 +17,13 @@
 Encoding: UTF-8
 Imports: stats, methods, Matrix, Rdpack
 RdMacros: Rdpack
-Suggests: lme4, tinytest, glmmTMB, testthat (>= 3.0.0)
+Suggests: lme4, tinytest, glmmTMB, Formula
 RoxygenNote: 7.3.3
 Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2026-01-07 13:56:46 UTC; bolker
+Packaged: 2026-02-02 00:36:37 UTC; bolker
 Author: Ben Bolker [aut, cre] (ORCID: <https://orcid.org/0000-0002-2127-0443>),
   Anna Ly [ctb] (ORCID: <https://orcid.org/0000-0002-0210-0342>)
 Maintainer: Ben Bolker <bolker@mcmaster.ca>
 Repository: CRAN
-Date/Publication: 2026-01-08 06:10:11 UTC
+Date/Publication: 2026-02-02 06:30:25 UTC

=== debian/changelog ===
r-cran-reformulas (0.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 02 Feb 2026 07:34:57 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.5.2), dh-r, r-cran-matrix, r-cran-rdpack
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-reformulas
 Vcs-Git: https://salsa.debian.org/edd/r-cran-reformulas.git
 Homepage: https://cran.r-project.org/package=reformulas
